> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run report by table

> Run the data quality rules of a table and report back to DataHub assertions.



## OpenAPI

````yaml post /api/dq/rules/tables/{table}/report
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/dq/rules/tables/{table}/report:
    post:
      tags:
        - Data quality
      summary: Run report by table
      description: >-
        Run the data quality rules of a table and report back to DataHub
        assertions.
      operationId: run_report_by_table_api_dq_rules_tables__table__report_post
      parameters:
        - name: table
          in: path
          required: true
          schema:
            type: string
            description: The name of the table to run the data quality report on.
            title: Table
          description: The name of the table to run the data quality report on.
      responses:
        '200':
          description: Report Completed.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DQRuleReportItem'
                title: >-
                  Response Run Report By Table Api Dq Rules Tables  Table 
                  Report Post
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '404':
          description: Table not found.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    DQRuleReportItem:
      properties:
        rule_id:
          type: string
          format: uuid
          title: Rule Id
          description: Unique ID of the data quality rule that generated this report entry.
        rule_name:
          type: string
          title: Rule Name
          description: Name of the rule corresponding to the rule_id.
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: Uniform Resource Name (URN) of the assertion in DataHub.
        status:
          type: string
          title: Status
          description: Result status of the rule run.
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
          description: Output or result details from the rule run.
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Error message if the rule failed to execute properly.
      type: object
      required:
        - rule_id
        - rule_name
        - status
      title: DQRuleReportItem
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````